Package com.sas.lsaf.workflow.processflow.setup

## Enum TimerEventSetup.TimerType

- java.lang.Object
- - java.lang.Enum<TimerEventSetup.TimerType>
  - - com.sas.lsaf.workflow.processflow.setup.TimerEventSetup.TimerType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TimerEventSetup.TimerType>`
  Enclosing class:
    TimerEventSetup

      public static enum TimerEventSetup.TimerType
      extends java.lang.Enum<TimerEventSetup.TimerType>

  The valid values for the type of timer that is in a timer event.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DATE` | The date timer type, which uses a date to signal the event.
    `DURATION` | The duration timer type, which uses a duration (in ISO 8601 duration format) to signal the event.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TimerEventSetup.TimerType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TimerEventSetup.TimerType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATE

          public static final TimerEventSetup.TimerType DATE

      The date timer type, which uses a date to signal the event.

    - #### DURATION

          public static final TimerEventSetup.TimerType DURATION

      The duration timer type, which uses a duration (in ISO 8601 duration format) to signal the event.

  - ### Method Detail

    - #### values

          public static TimerEventSetup.TimerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimerEventSetup.TimerType c : TimerEventSetup.TimerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimerEventSetup.TimerType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null